<template>
	<view class="page">

		<view class="top">

			<image class="img" :src="baseUrl" @click="chooseImage"></image>

			<view class="top_right">

				<text class="top_right_text1">{{name}}</text>
				<text class="top_right_text2">{{orgName}}</text>
			</view>

		</view>

		<!-- <view class="user-item-bg">
			<UserItem src='https://supervise.yxtsoft.com/img/user/wdxm.png' text="我的项目" @click="click" clickId="0">
			</UserItem>
		</view> -->

		<!-- 	<view class="user-item-bg">
			<UserItem src='https://supervise.yxtsoft.com/img/user/smxx.png' text="实名信息" notes="完善信息" @click="click" clickId="1"></UserItem>

		</view> -->

	<!-- 	<view class="user-item-bg">
			<UserItem src='https://supervise.yxtsoft.com/img/user/sz.png' text="设置" @click="click" clickId="2">
			</UserItem>
		</view>

		<view class="user-item-bg">
			<UserItem src='https://supervise.yxtsoft.com/img/user/wdxm.png' text="关注公众号" @click="click" clickId="8">
			</UserItem>
		</view> -->

		<!-- #ifdef APP-PLUS -->
		<!-- <view class="user-item-bg"> -->
		<!-- <UserItem src='https://supervise.yxtsoft.com/img/user/zzjg.png' text="组织结构" @click="click" clickId="3"></UserItem>
			<UserItem src='https://supervise.yxtsoft.com/img/user/xmgl.png' text="项目管理" @click="click" clickId="4"></UserItem>
			<UserItem src='https://supervise.yxtsoft.com/img/user/ycgl.png' text="云仓管理" @click="click" clickId="5"></UserItem>
			<UserItem src='https://supervise.yxtsoft.com/img/user/xtgl.png' text="系统管理" @click="click" clickId="6"></UserItem> -->
		<!-- <UserItem src='https://supervise.yxtsoft.com/img/user/xtgl.png' text="检查更新" :notes="version" @click="click"
				clickId="7">
			</UserItem> -->
		<!-- </view> -->
		<!-- #endif -->
	</view>
</template>

<script>
	export default {
		data() {
			return {
				baseUrl: "",
				name: "",
			};
		},
		onShow() {


		},
		methods: {
			chooseImage() {
				// uni.navigateTo({
				// 	url: '../index/SetUp2'
				// });
			},
			click(id) {

				switch (id) {
					case "0":
						uni.navigateTo({
							url: '../index/MyProject'
						});
						break;
					case "1":
						break;
					case "2":
						uni.navigateTo({
							url: '../index/SetUp'
						});

						// uni.navigateTo({
						// 	url: '../index/DeviceException?sid=994d75b6-eb29-4733-bd48-dcfdf9f7dd47'
						// });
						break;
					case "3":
						break;
					case "4":
						break;
					case "5":
						break;
					case "6":
						break;
					case "7":
						APPUpdate(true);
						break;
					case "8":
						uni.navigateTo({
							url: '../index/interestAccount'
						})
						break;


				}
			},

		}
	}
</script>

<style lang="scss">
	.page {
		width: 100%;
		height: 100%;

		.top {
			display: flex;
			flex-direction: row;
			align-items: center;
			padding: 15px 25px;

			.img {
				margin-top: 10px;
				margin-left: 10px;
				width: 60px;
				height: 60px;
				border-radius: 5px;
			}

			.top_right {
				margin-top: 10px;
				flex: 1;
				margin-left: 20px;
				display: flex;
				flex-direction: column;

				.top_right_text1 {
					width: 100%;
					font-size: 20px;
					font-weight: 800;
					font-family: sans-serif;
					overflow: hidden;
					text-overflow: ellipsis;
					display: -webkit-box;
					-webkit-line-clamp: 1;
					-webkit-box-orient: vertical;

				}

				.top_right_text2 {
					margin-top: 5px;
					font-size: 15px;
				}

			}
		}

		.user-item-bg {
			background-color: #FFFFFF;
			margin-top: 26rpx;
		}

	}
</style>